// import WeValidator from "we-validator";
// type Instance = {
//   [propName: string] : any,
// }
// const WeValidator = require('we-validator');
import MyValidator from "../../utils/myValidator";

let validatorInstance:MyValidator;
const app = getApp<IAppOption>();
Page({
  data: {
    order:{
      PhotoPath: "https://img.onbus.cn/uploads/shopping/82/images/2064C5EC-F53C-41AA-91D7-E4E029D144A0@p@181.jpg",
      price:100.00
    },
    deliveryMethods: ['商家配送', '到店自提'],
    isShowPicker:false,
    deliveryMethod: '商家配送',
    phone:'',
    address:'',
    username:''
  },
  onLoad() {
    console.log(app);
  },
  onReady() {
    this.initValidator()
  },
  checkUsername(e:any){
    let { value } = e.detail
    console.log(e);
    validatorInstance.checkField('username',value);
  },
  checkPhone(e:any){
    let { value } = e.detail
    console.log(e);
    validatorInstance.checkField('phone',value);
  },
  checkAddress(e:any){
    let { value } = e.detail
    console.log(e);
    validatorInstance.checkField('address',value);
  },
  // checkField(type: string,value: string){
  //   validatorInstance.checkField(type,value);
  // },
  onSubmitOrder() {
    if (validatorInstance.checkAllData()){
      console.log('....提交订单成功');
    } else {
      console.log('还有错误未处理');
    }

  },
  // onPickerChange(event:any) {
  //   const {value, index } = event.detail;
  //   console.log(value,index);
  // },
  showPicker(){
    this.setData({isShowPicker:true});
  },
  onPickerClose(){
    this.setData({isShowPicker:false});
  },
  onPickerConfirm(event:any) {
    const { value, index } = event.detail;
    console.log(value,index);
    this.setData({
      deliveryMethod: value
    })
    this.onPickerClose();
  },

  onPickerCancel() {
    console.log('取消');
    this.onPickerClose();
  },
  // validatorInstance(){},
  initValidator(){
    // 实例化
    validatorInstance = new MyValidator({
      rules: {
        username: {
          required: true,
          length: 3
        },
        phone: {
          required: true,
          mobile: true
        },
        address: {
          required: true,
          length: 3
        },
      },
      messages: {
        username: {
          required: '请输入用户名',
        },
        phone: {
          required: '请输入手机号',
          mobile: '手机号格式不正确'
        },
        address: {
          required: '请输入收货地址',
          length: '请输入长度为3的字符串'
        },
      },
      multiCheck:true
    },this)
  },
})
export {}
